RVMでRuby 1.8.7をp302からp330にバージョンアップする

RVMに脆弱性が発見されたみたいなので、古いバージョンの場合はRVMをうpする

$ rvm update --head
$ rvm reload

RVMでRubyをバージョンアップするにはmigrateを使う。これを使うとgemsetも移動され、rvm use 1.8.7したときに選択されるのがp302からp330に変わる。

$ rvm install ruby-1.8.7-p330 -C --with-readline-dir=/opt/local
$ rvm migrate 1.8.7-p302 1.8.7-p330

migrate中に何度か選択肢がでるが、全部YESにした。今のところ問題なし。


RVMのアップデートとGemを引っ越しメモ | diary NET. 1.2mg